> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Verification

> Verify Email



## OpenAPI

````yaml /api-reference/email-isv/openapi.json post /email/verify
openapi: 3.0.0
info:
  title: Email ISV API
  description: Documentation for Email ISV API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Email Verification
    description: Documentation for Email ISV API
paths:
  /email/verify:
    post:
      tags:
        - Email Verification
      summary: Email Verification
      description: Verify Email
      operationId: verify-email
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          required: true
          in: query
          example: 5DP4iH6HLkQsiKESj6rh
          description: >-
            Location Id, The email verification charges will be deducted from
            this location (if rebilling is enabled) / company wallet
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerificationBodyDto'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/EmailVerifiedResponseDto'
                  - $ref: '#/components/schemas/EmailNotVerifiedResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access: []
components:
  schemas:
    VerificationBodyDto:
      type: object
      properties:
        type:
          type: string
          example: email
          enum:
            - email
            - contact
          description: Email Verification type
        verify:
          type: string
          example: abc@xyz.com
          description: Email Verification recepient (email address / contactId)
      required:
        - type
        - verify
    EmailVerifiedResponseDto:
      type: object
      properties:
        reason:
          example:
            - mailbox_does_not_exist
          description: Reason for email verification failure
          type: array
          items:
            type: string
        result:
          type: string
          example: undeliverable
          enum:
            - deliverable
            - undeliverable
            - do_not_send
            - unknown
            - catch_all
          description: Email verification result
        risk:
          type: string
          example: low
          enum:
            - high
            - low
            - medium
            - unknown
          description: Risk level of email sending to bounce
        address:
          type: string
          example: abc@xyz.com
          description: Email address
        leadconnectorRecomendation:
          $ref: '#/components/schemas/LeadConnectorRecomandationDto'
          example:
            isEmailValid: false
      required:
        - result
        - risk
        - address
        - leadconnectorRecomendation
    EmailNotVerifiedResponseDto:
      type: object
      properties:
        verified:
          type: boolean
          example: false
          description: Email verification not processed
        message:
          type: string
          example: Validation is disabled / proper config not found
          description: Email verification failure message
        address:
          type: string
          example: abc@xyz.com
          description: Email address
      required:
        - verified
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    LeadConnectorRecomandationDto:
      type: object
      properties:
        isEmailValid:
          type: boolean
          example: false
          description: Email verification status

````